export declare enum StitchServiceErrorCode {
    MissingAuthReq = 0,
    InvalidSession = 1,
    UserAppDomainMismatch = 2,
    DomainNotAllowed = 3,
    ReadSizeLimitExceeded = 4,
    InvalidParameter = 5,
    MissingParameter = 6,
    TwilioError = 7,
    GCMError = 8,
    HTTPError = 9,
    AWSError = 10,
    MongoDBError = 11,
    ArgumentsNotAllowed = 12,
    FunctionExecutionError = 13,
    NoMatchingRuleFound = 14,
    InternalServerError = 15,
    AuthProviderNotFound = 16,
    AuthProviderAlreadyExists = 17,
    ServiceNotFound = 18,
    ServiceTypeNotFound = 19,
    ServiceAlreadyExists = 20,
    ServiceCommandNotFound = 21,
    ValueNotFound = 22,
    ValueAlreadyExists = 23,
    ValueDuplicateName = 24,
    FunctionNotFound = 25,
    FunctionAlreadyExists = 26,
    FunctionDuplicateName = 27,
    FunctionSyntaxError = 28,
    FunctionInvalid = 29,
    IncomingWebhookNotFound = 30,
    IncomingWebhookAlreadyExists = 31,
    IncomingWebhookDuplicateName = 32,
    RuleNotFound = 33,
    ApiKeyNotFound = 34,
    RuleAlreadyExists = 35,
    RuleDuplicateName = 36,
    AuthProviderDuplicateName = 37,
    RestrictedHost = 38,
    ApiKeyAlreadyExists = 39,
    IncomingWebhookAuthFailed = 40,
    ExecutionTimeLimitExceeded = 41,
    FunctionNotCallable = 42,
    UserAlreadyConfirmed = 43,
    UserNotFound = 44,
    UserDisabled = 45,
    Unknown = 46
}
export declare function stitchServiceErrorCodeFromApi(code: string): StitchServiceErrorCode;
