"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Assertions_1 = __importDefault(require("../../../internal/common/Assertions"));
var StitchUserProfileImpl_1 = __importDefault(require("../StitchUserProfileImpl"));
var ApiStitchUserIdentity_1 = __importDefault(require("./ApiStitchUserIdentity"));
var Fields;
(function (Fields) {
    Fields["DATA"] = "data";
    Fields["USER_TYPE"] = "type";
    Fields["IDENTITIES"] = "identities";
})(Fields || (Fields = {}));
var ApiCoreUserProfile = (function (_super) {
    __extends(ApiCoreUserProfile, _super);
    function ApiCoreUserProfile(userType, data, identities) {
        return _super.call(this, userType, data, identities) || this;
    }
    ApiCoreUserProfile.fromJSON = function (json) {
        Assertions_1.default.keyPresent(Fields.USER_TYPE, json);
        Assertions_1.default.keyPresent(Fields.DATA, json);
        Assertions_1.default.keyPresent(Fields.IDENTITIES, json);
        return new ApiCoreUserProfile(json[Fields.USER_TYPE], json[Fields.DATA], json[Fields.IDENTITIES].map(ApiStitchUserIdentity_1.default.fromJSON));
    };
    ApiCoreUserProfile.prototype.toJSON = function () {
        var _a;
        return _a = {},
            _a[Fields.DATA] = this.data,
            _a[Fields.USER_TYPE] = this.userType,
            _a[Fields.IDENTITIES] = this.identities,
            _a;
    };
    return ApiCoreUserProfile;
}(StitchUserProfileImpl_1.default));
exports.default = ApiCoreUserProfile;
//# sourceMappingURL=ApiCoreUserProfile.js.map