"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var bson_1 = __importDefault(require("bson"));
exports.BSON = bson_1.default;
var AuthEvent_1 = require("./auth/internal/AuthEvent");
exports.AuthEventKind = AuthEvent_1.AuthEventKind;
var AuthInfo_1 = __importDefault(require("./auth/internal/AuthInfo"));
exports.AuthInfo = AuthInfo_1.default;
var CoreStitchAuth_1 = __importDefault(require("./auth/internal/CoreStitchAuth"));
exports.CoreStitchAuth = CoreStitchAuth_1.default;
var CoreStitchUserImpl_1 = __importDefault(require("./auth/internal/CoreStitchUserImpl"));
exports.CoreStitchUserImpl = CoreStitchUserImpl_1.default;
var DeviceFields_1 = __importDefault(require("./auth/internal/DeviceFields"));
exports.DeviceFields = DeviceFields_1.default;
var ApiStitchUserIdentity_1 = __importDefault(require("./auth/internal/models/ApiStitchUserIdentity"));
exports.ApiStitchUserIdentity = ApiStitchUserIdentity_1.default;
var StitchUserProfileImpl_1 = __importDefault(require("./auth/internal/StitchUserProfileImpl"));
exports.StitchUserProfileImpl = StitchUserProfileImpl_1.default;
var AnonymousAuthProvider_1 = __importDefault(require("./auth/providers/anonymous/AnonymousAuthProvider"));
exports.AnonymousAuthProvider = AnonymousAuthProvider_1.default;
var AnonymousCredential_1 = __importDefault(require("./auth/providers/anonymous/AnonymousCredential"));
exports.AnonymousCredential = AnonymousCredential_1.default;
var CustomAuthProvider_1 = __importDefault(require("./auth/providers/custom/CustomAuthProvider"));
exports.CustomAuthProvider = CustomAuthProvider_1.default;
var CustomCredential_1 = __importDefault(require("./auth/providers/custom/CustomCredential"));
exports.CustomCredential = CustomCredential_1.default;
var FacebookAuthProvider_1 = __importDefault(require("./auth/providers/facebook/FacebookAuthProvider"));
exports.FacebookAuthProvider = FacebookAuthProvider_1.default;
var FacebookCredential_1 = __importDefault(require("./auth/providers/facebook/FacebookCredential"));
exports.FacebookCredential = FacebookCredential_1.default;
var FunctionAuthProvider_1 = __importDefault(require("./auth/providers/function/FunctionAuthProvider"));
exports.FunctionAuthProvider = FunctionAuthProvider_1.default;
var FunctionCredential_1 = __importDefault(require("./auth/providers/function/FunctionCredential"));
exports.FunctionCredential = FunctionCredential_1.default;
var GoogleAuthProvider_1 = __importDefault(require("./auth/providers/google/GoogleAuthProvider"));
exports.GoogleAuthProvider = GoogleAuthProvider_1.default;
var GoogleCredential_1 = __importDefault(require("./auth/providers/google/GoogleCredential"));
exports.GoogleCredential = GoogleCredential_1.default;
var StitchAuthResponseCredential_1 = __importDefault(require("./auth/providers/internal/StitchAuthResponseCredential"));
exports.StitchAuthResponseCredential = StitchAuthResponseCredential_1.default;
var ServerApiKeyAuthProvider_1 = __importDefault(require("./auth/providers/serverapikey/ServerApiKeyAuthProvider"));
exports.ServerApiKeyAuthProvider = ServerApiKeyAuthProvider_1.default;
var ServerApiKeyCredential_1 = __importDefault(require("./auth/providers/serverapikey/ServerApiKeyCredential"));
exports.ServerApiKeyCredential = ServerApiKeyCredential_1.default;
var CoreUserApiKeyAuthProviderClient_1 = __importDefault(require("./auth/providers/userapikey/CoreUserApiKeyAuthProviderClient"));
exports.CoreUserApiKeyAuthProviderClient = CoreUserApiKeyAuthProviderClient_1.default;
var UserApiKey_1 = __importDefault(require("./auth/providers/userapikey/models/UserApiKey"));
exports.UserApiKey = UserApiKey_1.default;
var UserApiKeyAuthProvider_1 = __importDefault(require("./auth/providers/userapikey/UserApiKeyAuthProvider"));
exports.UserApiKeyAuthProvider = UserApiKeyAuthProvider_1.default;
var UserApiKeyCredential_1 = __importDefault(require("./auth/providers/userapikey/UserApiKeyCredential"));
exports.UserApiKeyCredential = UserApiKeyCredential_1.default;
var CoreUserPasswordAuthProviderClient_1 = __importDefault(require("./auth/providers/userpass/CoreUserPasswordAuthProviderClient"));
exports.CoreUserPassAuthProviderClient = CoreUserPasswordAuthProviderClient_1.default;
var UserPasswordAuthProvider_1 = __importDefault(require("./auth/providers/userpass/UserPasswordAuthProvider"));
exports.UserPasswordAuthProvider = UserPasswordAuthProvider_1.default;
var UserPasswordCredential_1 = __importDefault(require("./auth/providers/userpass/UserPasswordCredential"));
exports.UserPasswordCredential = UserPasswordCredential_1.default;
var StitchUserIdentity_1 = __importDefault(require("./auth/StitchUserIdentity"));
exports.StitchUserIdentity = StitchUserIdentity_1.default;
var UserType_1 = __importDefault(require("./auth/UserType"));
exports.UserType = UserType_1.default;
var Assertions_1 = __importDefault(require("./internal/common/Assertions"));
exports.Assertions = Assertions_1.default;
var Base64_1 = require("./internal/common/Base64");
exports.base64Decode = Base64_1.base64Decode;
exports.base64Encode = Base64_1.base64Encode;
exports.utf8Slice = Base64_1.utf8Slice;
var StitchErrorUtils_1 = require("./internal/common/StitchErrorUtils");
exports.handleRequestError = StitchErrorUtils_1.handleRequestError;
var Storage_1 = require("./internal/common/Storage");
exports.MemoryStorage = Storage_1.MemoryStorage;
var CoreStitchAppClient_1 = __importDefault(require("./internal/CoreStitchAppClient"));
exports.CoreStitchAppClient = CoreStitchAppClient_1.default;
var BaseEventStream_1 = __importDefault(require("./internal/net/BaseEventStream"));
exports.BaseEventStream = BaseEventStream_1.default;
var BasicRequest_1 = require("./internal/net/BasicRequest");
exports.BasicRequest = BasicRequest_1.BasicRequest;
var ContentTypes_1 = __importDefault(require("./internal/net/ContentTypes"));
exports.ContentTypes = ContentTypes_1.default;
var Event_1 = __importDefault(require("./internal/net/Event"));
exports.Event = Event_1.default;
var Headers_1 = __importDefault(require("./internal/net/Headers"));
exports.Headers = Headers_1.default;
var Method_1 = __importDefault(require("./internal/net/Method"));
exports.Method = Method_1.default;
var Response_1 = __importDefault(require("./internal/net/Response"));
exports.Response = Response_1.default;
var StitchAppAuthRoutes_1 = __importDefault(require("./internal/net/StitchAppAuthRoutes"));
exports.StitchAppAuthRoutes = StitchAppAuthRoutes_1.default;
var StitchAppRequestClient_1 = __importDefault(require("./internal/net/StitchAppRequestClient"));
exports.StitchAppRequestClient = StitchAppRequestClient_1.default;
var StitchAppRoutes_1 = __importDefault(require("./internal/net/StitchAppRoutes"));
exports.StitchAppRoutes = StitchAppRoutes_1.default;
var StitchAuthRequest_1 = require("./internal/net/StitchAuthRequest");
exports.StitchAuthRequest = StitchAuthRequest_1.StitchAuthRequest;
var StitchEvent_1 = __importDefault(require("./internal/net/StitchEvent"));
exports.StitchEvent = StitchEvent_1.default;
var StitchRequestClient_1 = __importDefault(require("./internal/net/StitchRequestClient"));
exports.StitchRequestClient = StitchRequestClient_1.default;
var AuthRebindEvent_1 = __importDefault(require("./services/internal/AuthRebindEvent"));
exports.AuthRebindEvent = AuthRebindEvent_1.default;
var CoreStitchServiceClientImpl_1 = __importDefault(require("./services/internal/CoreStitchServiceClientImpl"));
exports.CoreStitchServiceClientImpl = CoreStitchServiceClientImpl_1.default;
var RebindEvent_1 = require("./services/internal/RebindEvent");
exports.RebindEvent = RebindEvent_1.RebindEvent;
var StitchServiceRoutes_1 = __importDefault(require("./services/internal/StitchServiceRoutes"));
exports.StitchServiceRoutes = StitchServiceRoutes_1.default;
var StitchAppClientConfiguration_1 = require("./StitchAppClientConfiguration");
exports.StitchAppClientConfiguration = StitchAppClientConfiguration_1.StitchAppClientConfiguration;
var StitchAppClientInfo_1 = __importDefault(require("./StitchAppClientInfo"));
exports.StitchAppClientInfo = StitchAppClientInfo_1.default;
var StitchClientError_1 = __importDefault(require("./StitchClientError"));
exports.StitchClientError = StitchClientError_1.default;
var StitchClientErrorCode_1 = require("./StitchClientErrorCode");
exports.StitchClientErrorCode = StitchClientErrorCode_1.StitchClientErrorCode;
var StitchError_1 = __importDefault(require("./StitchError"));
exports.StitchError = StitchError_1.default;
var StitchRequestError_1 = __importDefault(require("./StitchRequestError"));
exports.StitchRequestError = StitchRequestError_1.default;
var StitchRequestErrorCode_1 = require("./StitchRequestErrorCode");
exports.StitchRequestErrorCode = StitchRequestErrorCode_1.StitchRequestErrorCode;
var StitchServiceError_1 = __importDefault(require("./StitchServiceError"));
exports.StitchServiceError = StitchServiceError_1.default;
var StitchServiceErrorCode_1 = require("./StitchServiceErrorCode");
exports.StitchServiceErrorCode = StitchServiceErrorCode_1.StitchServiceErrorCode;
var Stream_1 = __importDefault(require("./Stream"));
exports.Stream = Stream_1.default;
//# sourceMappingURL=index.js.map